ZlibCompressor (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.cms.jcajce

## Class ZlibCompressor

- java.lang.Object
- - org.bouncycastle.cms.jcajce.ZlibCompressor

- All Implemented Interfaces:
    OutputCompressor

      public class ZlibCompressor
      extends java.lang.Object
      implements OutputCompressor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ZlibCompressor()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.bouncycastle.asn1.x509.AlgorithmIdentifier` | `getAlgorithmIdentifier()` Return the algorithm identifier describing the compression algorithm and parameters this compressor uses.
    `java.io.OutputStream` | `getOutputStream(java.io.OutputStream comOut)` Wrap the passed in output stream comOut, returning an output stream that compresses anything passed in before sending on to comOut.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ZlibCompressor

          public ZlibCompressor()

  - ### Method Detail

    - #### getAlgorithmIdentifier

          public org.bouncycastle.asn1.x509.AlgorithmIdentifier getAlgorithmIdentifier()

      Description copied from interface: `OutputCompressor`
      Return the algorithm identifier describing the compression algorithm and parameters this compressor uses.
      Specified by:
        `getAlgorithmIdentifier` in interface `OutputCompressor`
      Returns:
        algorithm oid and parameters.

    - #### getOutputStream

          public java.io.OutputStream getOutputStream(java.io.OutputStream comOut)

      Description copied from interface: `OutputCompressor`
      Wrap the passed in output stream comOut, returning an output stream that compresses anything passed in before sending on to comOut.
      Specified by:
        `getOutputStream` in interface `OutputCompressor`
      Parameters:
        `comOut` - output stream for compressed output.
      Returns:
        a compressing OutputStream